Skip to main content
POST
Create Ad Unit

Authorizations

Authorization
string
header
required

Bearer authentication. Pass the access token in the Authorization: Bearer <token> header.

Body

application/json

Request body for POST /ad-units.

Path resolution rules:

  • No parent_id: path = code
  • With parent_id: path = {parent.path}/{code}
code
string
required

Ad unit code identifier. Used in ad tags. Immutable after creation. (1-100 chars)

Required string length: 1 - 100
name
string
required

Ad unit display name. (1-255 chars)

Required string length: 1 - 255
ad_unit_sizes
AdUnitSize · object[] | null

Targeting metadata sizes Distinct from display/video.w/h which govern serving and rendering.

description
string | null

Description of the ad unit.

display
DisplayPlacement · object

Display placement configuration.

ext
AdUnitExt · object

Ad unit extension fields.

gpid
string | null

Canonical Placement ID for OpenRTB imp.ext.gpid.

instl
enum<integer>
default:0

Indicates if this is an interstitial placement, where 0 = no, 1 = yes. Applies across display, video, and native.

Available options:
0,
1
is_active
boolean
default:true

Whether the ad unit is active.

native
NativePlacement · object

Based on OpenRTB Native Ads 1.2 Native Markup Request Object, not the AdCOM standard native format

parent_id
string<uuid> | null

Parent ad unit ID. Determines hierarchy. Immutable after creation.

recommendation
RecommendationPlacement · object
video
VideoPlacement · object

Video placement configuration.

Response

Successful Response

Response schema for AdUnit mutation operations (create/patch).

code
string
required

Ad unit code identifier.

created_by
string<uuid>
required

The ID of the user who created the ad unit.

id
string<uuid>
required

ID of the ad unit (uuid7)

name
string
required

Name of the ad unit.

path
string
required

Hierarchical path of the ad unit (e.g., "parent_id/child_id").

ad_unit_sizes
AdUnitSize · object[] | null

Targeting metadata sizes Distinct from display/video.w/h which govern serving and rendering.

created_at
string<date-time> | null
description
string | null

Description of the ad unit.

display
DisplayPlacement · object

Display placement configuration.

ext
AdUnitExt · object

Ad unit extension fields.

gpid
string | null

Canonical Placement ID for OpenRTB imp.ext.gpid.

instl
enum<integer>
default:0

Indicates if this is an interstitial placement, where 0 = no, 1 = yes. Applies across display, video, and native.

Available options:
0,
1
is_active
boolean | null

Whether the ad unit is active.

native
NativePlacement · object

Based on OpenRTB Native Ads 1.2 Native Markup Request Object, not the AdCOM standard native format

no
integer | null
recommendation
RecommendationPlacement · object
updated_at
string<date-time> | null
video
VideoPlacement · object

Video placement configuration.